www.cendio.com

Bug 4842

Summary: Services fail to start during install on Ubuntu 13.10
Product: ThinLinc Reporter: Aaron Sowry <aaron@cendio.se>
Component: MiscAssignee: Pierre Ossman <ossman@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Normal    
Priority: P2 CC: astrand@cendio.se
Version: trunkKeywords: aaron_tester, relnotes
Target Milestone: 4.1.1   
Hardware: PC   
OS: Unknown   
Acceptance Criteria:

Description From cendio 2013-10-11 09:27:12
The work done as part of bug #4634 makes tl-setup fail to start the services
when installing on Ubuntu 13.10.

This seems to be because Ubuntu 13.10 now uses systemd-logind, which creates
the cgroups that ctc/tlmisc/scripts/functions looks at to determine whether or
not this is a systemd system. I.e. we get a false positive.

We'll have to find a more reliable method of checking for systemd.
------- Comment #1 From cendio 2013-10-11 10:15:45 -------
Perhaps also worth noting is that some services (e.g. ssh) can no longer be
started/stopped by calling the init script directly - you must use the
"service" command (was this even present in previous versions of Ubuntu?).
------- Comment #2 From cendio 2013-10-11 12:20:29 -------
Fixed in r28023.

Tester should verify scripts on these systems:

 a) full systemd

 b) just logind

 c) neither systemd nor logind.
------- Comment #3 From cendio 2013-10-14 10:48:49 -------
Point b) above works fine now (Ubuntu 13.10). Adding astrand_tester to comment
on point c) (RHEL6) and ossman_tester to comment on point a) (Fedora).
------- Comment #4 From cendio 2013-10-14 11:12:49 -------
Pierre can't test his own bug, so I'll do a quick test for a) on Fedora.
------- Comment #5 From cendio 2013-10-15 08:58:50 -------
Works on RHEL6.
------- Comment #6 From cendio 2013-10-15 11:37:53 -------
Tested on F19, seeems to work fine. Closing.